Skip to content

Lists

Verified lists are collections a destination publisher has reviewed and made available on its map. Set BASE_URL as shown in the API overview before running these examples.

GET /maps/:map_id/lists

Returns verified lists for a map. Results can be selected with a start and end offset.

ParameterInRequiredDescription
map_idPathYesMap UUID.
verifiedQueryNoDefaults to true. Only verified lists are publicly available.
startQueryNoStart offset for the result window.
endQueryNoEnd offset for the result window.
Terminal window
curl --get "$BASE_URL/maps/11111111-1111-4111-8111-111111111111/lists" \
--data-urlencode "verified=true" \
--data-urlencode "start=0" \
--data-urlencode "end=19"

GET /maps/:map_id/lists/:list_id

Returns one list and its associated content within a map.

ParameterInRequiredDescription
map_idPathYesMap UUID.
list_idPathYesList UUID.
Terminal window
curl "$BASE_URL/maps/11111111-1111-4111-8111-111111111111/lists/44444444-4444-4444-8444-444444444444"